# dkim_verify()

[back to index]

SYNOPSIS

    #include <dkim.h>
    DKIM *dkim_verify(
    	DKIM_LIB *libhandle,
    	const char *id,
    	void *memclosure,
    	DKIM_STAT *statp
    );

Create a new handle for verifying a (possibly) signed message.

DESCRIPTION

Called When | `dkim_verify()` is called when preparing to process a new message that may be signed already in order to be able to verify its contents against the signature.

ARGUMENTS

Argument | Description
--- | ---
libhandle | DKIM library instance handle, returned by an earlier call to `dkim_init()`.
id | An opaque, printable string for identifying this message, suitable for use in logging or debug output.
memclosure | Opaque memory closure, passed directly to the caller-provided `malloc()` and/or `free()` replacement functions.
statp | Pointer to a `DKIM_STAT` object which receives the completion status of this operation.

NOTES

- The handle returned by this function may not be used in a later call to `dkim_getsighdr()`.

RETURN VALUES

- On success, a pointer to the created `DKIM` handle is returned.
- On failure, NULL is returned and the value of `statp` is updated to indicate the cause of the problem.

Copyright (c) 2005 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.